Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.vmx
Class AbruptCompletion.Throw

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  de.grogra.xl.vmx.AbruptCompletion
                      de.grogra.xl.vmx.AbruptCompletion.Throw

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AbruptCompletion

    public static final class AbruptCompletion.Throw

extends AbruptCompletion

An abrupt completion due to a thrown `Throwable`.

Author:
  Ole Kniemeyer
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.xl.vmx.AbruptCompletion
`AbruptCompletion.Break, AbruptCompletion.Nonlocal, AbruptCompletion.Return, AbruptCompletion.Throw`

Field Summary
`static int` | `LABEL`

Method Summary
`void` | `dispose()` This method can be used to recycle this instance.
`java.lang.Throwable` | `getCause()` Returns the throwable that caused this abrupt completion.
`java.lang.Throwable` | `getCauseAndDispose()` Returns the throwable that caused this abrupt completion.
`int` | `getLabel()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LABEL

    public static final int LABEL

See Also:
  Constant Field Values

Method Detail

### dispose

    public void dispose()

  This method can be used to recycle this instance. If this instance is not needed any more, this method can be invoked in order to inform the VMXState that it may re-use this instance.

  Specified by:
    `dispose` in class `AbruptCompletion`

### getCause

    public java.lang.Throwable getCause()

  Returns the throwable that caused this abrupt completion.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    the throwable that caused this abrupt completion

### getCauseAndDispose

    public java.lang.Throwable getCauseAndDispose()

  Returns the throwable that caused this abrupt completion. In addition, this instance is disposed by invocation of `dispose()`.

  Returns:
    the throwable that caused this abrupt completion

### getLabel

    public int getLabel()

  Specified by:
    `getLabel` in class `AbruptCompletion`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD